CVE Vulnerabilities

CVE-2006-4133

Published: Aug 14, 2006 | Modified: Oct 17, 2018
CVSS 3.x
N/A
Source:
NVD
CVSS 2.x
7.5 HIGH
AV:N/AC:L/Au:N/C:P/I:P/A:P
RedHat/V2
RedHat/V3
Ubuntu

Heap-based buffer overflow in SAP Internet Graphics Service (IGS) 6.40 and earlier, and 7.00 and earlier, allows remote attackers to cause a denial of service (crash) or execute arbitrary code via an HTTP request with an ADM:GETLOGFILE command and a long portwatcher argument, which triggers the overflow during error message construction when the _snprintf function returns a negative value that is used in a memcpy operation.

Affected Software

Name Vendor Start Version End Version
Internet_graphics_server Sap 6.40 6.40
Internet_graphics_server Sap 6.40_patch_11 6.40_patch_11
Internet_graphics_server Sap 6.40_patch_15 6.40_patch_15
Internet_graphics_server Sap 7.00_patch_3 7.00_patch_3

References